glibmm 2.78.1

Public Types | Public Member Functions | List of all members
Glib::Container_Helpers::ArrayIterator< Tr > Class Template Reference

`#include <glibmm/vectorutils.h>`

## Public Types
using | CppType = typename Tr::CppType
using | CType = typename Tr::CType
using | iterator_category = std::random_access_iterator_tag
using | value_type = CppType
using | difference_type = std::ptrdiff_t
using | reference = value_type
using | pointer = void

## Public Member Functions
| ArrayIterator (const CType *pos)
value_type | operator* () const
value_type | operator[] (difference_type offset) const
ArrayIterator< Tr > & | operator++ ()
const ArrayIterator< Tr > | operator++ (int)
ArrayIterator< Tr > & | operator+= (difference_type rhs)
ArrayIterator< Tr > & | operator-= (difference_type rhs)
const ArrayIterator< Tr > | operator+ (difference_type rhs) const
const ArrayIterator< Tr > | operator- (difference_type rhs) const
difference_type | operator- (const ArrayIterator< Tr > &rhs) const
bool | operator== (const ArrayIterator< Tr > &rhs) const
bool | operator!= (const ArrayIterator< Tr > &rhs) const
bool | operator< (const ArrayIterator< Tr > &rhs) const
bool | operator> (const ArrayIterator< Tr > &rhs) const
bool | operator<= (const ArrayIterator< Tr > &rhs) const
bool | operator>= (const ArrayIterator< Tr > &rhs) const

## Member Typedef Documentation

## ◆ CppType

template <class Tr >

using Glib::Container_Helpers::ArrayIterator< Tr >::CppType = typename Tr::CppType

## ◆ CType

template <class Tr >

using Glib::Container_Helpers::ArrayIterator< Tr >::CType = typename Tr::CType

## ◆ difference_type

template <class Tr >

using Glib::Container_Helpers::ArrayIterator< Tr >::difference_type = std::ptrdiff_t

## ◆ iterator_category

template <class Tr >

using Glib::Container_Helpers::ArrayIterator< Tr >::iterator_category = std::random_access_iterator_tag

## ◆ pointer

template <class Tr >

using Glib::Container_Helpers::ArrayIterator< Tr >::pointer = void

## ◆ reference

template <class Tr >

using Glib::Container_Helpers::ArrayIterator< Tr >::reference = value_type

## ◆ value_type

template <class Tr >

using Glib::Container_Helpers::ArrayIterator< Tr >::value_type = CppType

## Constructor & Destructor Documentation

## ◆ ArrayIterator()

template <class Tr >

Glib::Container_Helpers::ArrayIterator< Tr >::ArrayIterator | ( | const CType * | pos | ) |
| inline explicit

## Member Function Documentation

## ◆ operator!=()

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator!= | ( | const ArrayIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator*()

template <class Tr >

value_type Glib::Container_Helpers::ArrayIterator< Tr >::operator* | ( |  | ) | const
| inline

## ◆ operator+()

template <class Tr >

const ArrayIterator< Tr > Glib::Container_Helpers::ArrayIterator< Tr >::operator+ | ( | difference_type | rhs | ) | const
| inline

## ◆ operator++() [1/2]

template <class Tr >

ArrayIterator< Tr > & Glib::Container_Helpers::ArrayIterator< Tr >::operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template <class Tr >

const ArrayIterator< Tr > Glib::Container_Helpers::ArrayIterator< Tr >::operator++ | ( | int |  | ) |
| inline

## ◆ operator+=()

template <class Tr >

ArrayIterator< Tr > & Glib::Container_Helpers::ArrayIterator< Tr >::operator+= | ( | difference_type | rhs | ) |
| inline

## ◆ operator-() [1/2]

template <class Tr >

difference_type Glib::Container_Helpers::ArrayIterator< Tr >::operator- | ( | const ArrayIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator-() [2/2]

template <class Tr >

const ArrayIterator< Tr > Glib::Container_Helpers::ArrayIterator< Tr >::operator- | ( | difference_type | rhs | ) | const
| inline

## ◆ operator-=()

template <class Tr >

ArrayIterator< Tr > & Glib::Container_Helpers::ArrayIterator< Tr >::operator-= | ( | difference_type | rhs | ) |
| inline

## ◆ operator<()

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator< | ( | const ArrayIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator<=()

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator<= | ( | const ArrayIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator==()

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator== | ( | const ArrayIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator>()

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator> | ( | const ArrayIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator>=()

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator>= | ( | const ArrayIterator< Tr > & | rhs | ) | const
| inline

## ◆ operator[]()

template <class Tr >

value_type Glib::Container_Helpers::ArrayIterator< Tr >::operator[] | ( | difference_type | offset | ) | const
| inline